image
from0.054 / generation
Seedream 5.0 Pro
Edit and combine images with Seedream 5.0 Pro using a prompt and up to 10 reference images. Change subjects, colors or composition and generate one result at 1K, 1.5K or 2K.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "bytedance/seedream/v5.0/pro/edit", { input: { "prompt": "A cinematic scene at sunset", "image_urls": [ "https://example.com/input.jpg" ], "resolution": "2k", "aspect_ratio": "1:1" }, withPolling: true, },); console.log(result);Calling the API
Use bytedance/seedream/v5.0/pro/edit with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "bytedance/seedream/v5.0/pro/edit", { input: { "prompt": "A cinematic scene at sunset", "image_urls": [ "https://example.com/input.jpg" ], "resolution": "2k", "aspect_ratio": "1:1" }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Prompt
{
"type": "string",
"title": "Prompt",
"pattern": "\\S",
"minLength": 1
}image_urlsarray · required
Image URLs
{
"type": "array",
"items": {
"type": "string",
"format": "uri"
},
"title": "Image URLs",
"maxItems": 10,
"minItems": 1
}resolutionstring · optional
Resolution
Options: 1k, 1.5k, 2k
Default: "2k"
{
"enum": [
"1k",
"1.5k",
"2k"
],
"type": "string",
"title": "Resolution",
"default": "2k"
}aspect_ratiostring · optional
Aspect Ratio
Options: auto, 1:1, 4:3, 16:9, 3:2, 21:9, 3:4, 9:16, 2:3
Default: "1:1"
{
"enum": [
"auto",
"1:1",
"4:3",
"16:9",
"3:2",
"21:9",
"3:4",
"9:16",
"2:3"
],
"type": "string",
"title": "Aspect Ratio",
"default": "1:1"
}Price
From $0.0540 per generation.
View all pricing